Package net.sf.saxon.expr.sort

## Class MergeInstr.MergeKeyMappingFunction

- java.lang.Object
- - net.sf.saxon.expr.sort.MergeInstr.MergeKeyMappingFunction

- All Implemented Interfaces:
    `ContextMappingFunction`
  Enclosing class:
    MergeInstr

      public static class MergeInstr.MergeKeyMappingFunction
      extends java.lang.Object
      implements ContextMappingFunction

  Mapping function for items encountered during the merge; the mapping function wraps the merged item and its merge keys into a single composite object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MergeKeyMappingFunction​(XPathContext baseContext, MergeInstr.MergeSource ms)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SequenceIterator` | `map​(XPathContext context)` | Map one item to a sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeKeyMappingFunction

          public MergeKeyMappingFunction​(XPathContext baseContext,
                                         MergeInstr.MergeSource ms)

  - ### Method Detail

    - #### map

          public SequenceIterator map​(XPathContext context)
                               throws XPathException

      Description copied from interface: `ContextMappingFunction`
      Map one item to a sequence.
      Specified by:
        `map` in interface `ContextMappingFunction`
      Parameters:
        `context` - The processing context. The item to be mapped is the context item identified from this context: the values of position() and last() also relate to the set of items being mapped
      Returns:
        a SequenceIterator over the sequence of items that the supplied input item maps to
      Throws:
        `XPathException` - if a dynamic error is detected